C*********************************************************************
C*********************************************************************
C                                                                 ****
C     PROGRAM FOR BEREGNING AV OLJEMENGDE TIL STEDE I ET          ****
C     RESERVOAR HVOR POROESITETEN TIL RESERVOARSTENEN             ****
C     TILDELES VED AA BENYTTE EN STATISTISK FORDELINGS-           ****
C     FUNKSJON.                                                   ****
C                                                                 ****
C     NORMALT LAGES EN SLIK FORDELINGSFUNKSJON FRA MAALTE         ****
C     DATA I LABORARORIET OG/ELLER BROENNLOGGER. I DETTE          ****
C     PROGRAMMET ANTAR VI EN NORMALFORDELT FUNKSJON               ****
C                                                                 ****  
C*********************************************************************
C
C DEF. AV PARAMETRE:
C
C     N=ANTALL BLOKKER I HVER RETNING
C     DX=BLOKKSTOERRELSE I X-RETNING
C     DY=BLOKKSTOERRELSE I Y-RETNING
C     H=HOEYDE
C     POR=POROESITET
C     SNTPOR=GJENNOMSNITTLIG POROESITET FOR HELE RESERVOARET
C     HCPV=HYDROKARBON POREVOLUM
C     HCPVK=GJENNOMSNITTLIG HCPV
C     A=MEAN-VERDI
C     B=STANDARDAVVIK
C
C-------------------------------------------------------------------
C
      PROGRAM OVING5
C  DEKLARASJONER
      INTEGER I,J,NN,K,N(4)
C--------------------HUSK DOBBEL PRESISJON PGA NAG-RUTINENE
      REAL*8 HCPVRA(4,1000),HCPV(4,1000),SNTPOR(4,1000)
      REAL*8 DX,DY,HCPVK,HCPVI,POR,SW,SUMPOR,A,B
      REAL*8 G05DDF
      DATA N/1,2,5,10/
C--------------------AAPNE UTDATAFILEN
      .
      .
C--------------------seed for tallgenerator
      CALL G05CBF(0)
C--------------------LOEKKE FOR BLOKKINNDELINGER
      DO 500 J=1,4
      .
      .
      .
      .
      .
C--------------------LOEKKE FOR REALISASJONER
      DO 100 K=1,200
      .
      .
C--------------------LOEKKE FOR BLOKKER
      DO 50 I=1,NN
C--------------------HENT VILKAARLIG FORDELTE POROESITETER
      .
C--------------------SJEKK GRENSEVERDIER
      .
      .
      .
      .
C--------------------BEREGN VANNMETNING
      .
C--------------------BEREGN HCPV
      .
      .
  50 CONTINUE
C--------------------LAGRE POROSITET (SNITT FOR RESERVOARET)
      .
C--------------------LAGRE LOEPENDE HCPV
      .
      .
C--------------------LAGRE GJENNOMSNITTS HCPV
      .
  100 CONTINUE
  500 CONTINUE
C--------------------UTSKRIFT TIL FIL
      WRITE(10,900)
      DO 600 K=1,200 
  600 WRITE(10,901)K,SNTPOR(1,K),HCPV(1,K),HCPVRA(1,K),
     *               SNTPOR(2,K),HCPV(2,K),HCPVRA(2,K),
     *               SNTPOR(3,K),HCPV(3,K),HCPVRA(3,K),
     *               SNTPOR(4,K),HCPV(4,K),HCPVRA(4,K)
 900  FORMAT(" ANV. DATA I GEOFAG OG PETROLEUMSTEKNOLOGI",/,
     *       " OEVING 5, 2004:  BEREGNING AV OLJERESERVER",/,
     *"  NR   SN.POR   HCPV1   HCPVRA1  SN.POR   HCPV2   HCPVRA2 ",
     *" SN.POR   HCPV3   HCPVRA3  SN.POR   HCPV4   HCPVRA4" )
 901  FORMAT(I4,4(F8.4,2F9.5))
      END








